AnalyticPDFHestonEngine Class Reference

Analytic engine for arbitrary European payoffs under the Heston model. More...

`#include <ql/experimental/exoticoptions/analyticpdfhestonengine.hpp>`

Inheritance diagram for AnalyticPDFHestonEngine:
[legend]

## Public Member Functions

| AnalyticPDFHestonEngine (const ext::shared_ptr< HestonModel > &model, Real gaussLobattoEps=1e-6, Size gaussLobattoIntegrationOrder=10000UL)
void | calculate () const
Real | Pv (Real x_t, Time t) const
Real | cdf (Real X, Time t) const
Public Member Functions inherited from GenericModelEngine< HestonModel, VanillaOption::arguments, VanillaOption::results >
| GenericModelEngine (const Handle< HestonModel > &model=Handle< HestonModel >())
| GenericModelEngine (const ext::shared_ptr< HestonModel > &model)
Public Member Functions inherited from GenericEngine< VanillaOption::arguments, VanillaOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from PricingEngine
virtual arguments * | getArguments () const =0
virtual const results * | getResults () const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members

Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from GenericModelEngine< HestonModel, VanillaOption::arguments, VanillaOption::results >
Handle< HestonModel > | model_
Protected Attributes inherited from GenericEngine< VanillaOption::arguments, VanillaOption::results >
VanillaOption::arguments | arguments_
VanillaOption::results | results_

## Detailed Description

Analytic engine for arbitrary European payoffs under the Heston model.

References:

The formulas are taken from A. Dragulescu, V. Yakovenko, 2002. Probability distribution of returns in the Heston model with stochastic volatility. http://arxiv.org/pdf/cond-mat/0203046.pdf

Tests:
  the correctness of the returned value is tested by reproducing digital prices using call spreads and the AnalyticHestonEngine.